package com.zjyr.beidouservice;

import com.zjyr.beidouservice.service.BaidouAdapterService;
import jakarta.annotation.Resource;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
@MapperScan(basePackages = {"com.zjyr.beidouservice.mapper"})
public class BaidouServiceApplication implements ApplicationRunner {
    @Resource
    private BaidouAdapterService baidouAdapterService;

    public static void main(String[] args) {
        SpringApplication.run(BaidouServiceApplication.class, args);
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        baidouAdapterService.startBeidouAdapter();
    }
}
