package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum AlarmControlTypeName implements EnumerationBase {
    ALARM_CONTROL_TYPE_STOP(0, "ALARM_CONTROL_TYPE_STOP"),
    ALARM_CONTROL_TYPE_TEST_QUITE(1, "ALARM_CONTROL_TYPE_TEST_QUITE"),
    ALARM_CONTROL_TYPE_TEST_SHORT(2, "ALARM_CONTROL_TYPE_TEST_SHORT"),

    ALARM_CONTROL_TYPE_NORMAL(2, "ALARM_CONTROL_TYPE_NORMAL"),

    ALARM_CONTROL_TYPE_VOICE(2, "ALARM_CONTROL_TYPE_VOICE"),

    ;
    private final Integer code;
    private final String  desc;

    AlarmControlTypeName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
