package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum ControlChannelStatus implements EnumerationBase {
    CHANNEL_NORMAL(0, "CHANNEL_NORMAL"),
    CHANNEL_MODULE_UNEXISTS(1, "CHANNEL_MODULE_UNEXISTS"),
    CHANNEL_MODULE_EXCEPTION(2, "CHANNEL_MODULE_EXCEPTION"),
    BEIDOU_MODULE_EXCEPTION(3, "BEIDOU_MODULE_EXCEPTION"),
    BEIDOU_SATELLITE_EXCEPTION(4, "BEIDOU_SATELLITE_EXCEPTION"),
    ;

    private final Integer code;
    private final String  desc;

    ControlChannelStatus(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
