package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum ControlCommandName implements EnumerationBase {

    COMMAND_HEART(0x08, "COMMAND_HEART"),
    COMMAND_REPORT_HEART(0x09, "COMMAND_REPORT_HEART"),

    COMMAND_SENSOR(0x10, "COMMAND_SENSOR"),
    COMMAND_REPORT_SENSOR(0x11, "COMMAND_REPORT_SENSOR"),

    COMMAND_QUERY_SENSOR(0x12, "COMMAND_QUERY_SENSOR"),

    COMMAND_REPORT_QUERY_SENSOR(0x13, "COMMAND_REPORT_QUERY_SENSOR"),
    ;

    private final Integer code;
    private final String  desc;

    ControlCommandName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
