package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum SendStatusName implements EnumerationBase {
    SEND_SUCCESS(0, "SEND_SUCCESS"),
    SEND_WAIT_IDLE(1, "SEND_WAIT_IDLE"),
    SEND_DEVICE_UNEXISTS(2, "SEND_DEVICE_UNEXISTS"),
    SEND_CONTROL_LOCKED(3, "SEND_CONTROL_LOCKED"),
    ;

    private final Integer code;
    private final String  desc;

    SendStatusName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
