package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum SensorControlTunnelName implements EnumerationBase {
    TUNNEL_BEIDOU(1, "BeiDou tunnel"),

    TUNNEL_WIRELESS(2, "Wireless tunnel"),

    TUNNEL_TEL(4, "Telephone tunnel"),
    ;

    private final Integer code;
    private final String  desc;

    SensorControlTunnelName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
