package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum TaskResultName implements EnumerationBase {
    TASK_RESULT_SUCCESSED(0, "TASK_RESULT_SUCCESSED"),
    TASK_RESULT_FAILED(1, "TASK_RESULT_FAILED"),
    ;
    private final Integer code;
    private final String  desc;

    TaskResultName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
