package com.zjyr.beidouservice.config;

import jakarta.annotation.PostConstruct;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@ConfigurationProperties(prefix = "socket")
@Configuration
@Slf4j
public class NettySocketConfigure {
    private String  serverHost;
    private Integer serverPort;
    private String  serverMode;

    private Integer heartTimeout;

    @PostConstruct
    private void initGlobalValue() {
        log.debug("{}", serverHost);
    }
}
