package com.zjyr.beidouservice.pojo.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeviceTaskRespDTO {
    private Long id;

    private String taskId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date recodeTime;

    private Integer deviceNum;

    private Integer execNormalNum;

    private Integer execAbnormalNum;

    private Double respRate;

    private List<DeviceTaskContentDTO> data;

}
