package com.zjyr.beidouservice.pojo.vo.binary;

import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class BaseBinaryProtocol<T> {

    public static int VERSIN = 1;

    public static int    MIN_LEN = 39;
    public static int    MAX_LEN = 1400;
    public static String START   = "START!@#";

    private short msgLength;

    private byte version;

    private byte cryptoType;

    private int timeStamp;

    private int statusCode;

    private MessageContent<T> msgContent;
}
