package com.zjyr.beidouservice.pojo.vo.binary;

import com.zjyr.beidouservice.common.impl.AlarmControlTypeName;
import com.zjyr.beidouservice.common.impl.AlarmModeName;
import com.zjyr.beidouservice.common.impl.AlarmTypeName;
import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@Builder
public class SensorControlProtocol {
    private int                  taskId;
    private AlarmModeName        alarmMode;
    private AlarmControlTypeName alarmControlType;
    private AlarmTypeName        alarmType;
    private Integer              controlTunnel;
    private Integer              timeStamp;
    private List<Integer>        cityCode;
    private List<Integer>        districtsCode;
    private List<Integer>        sensorId;
}
