package com.zjyr.beidouservice;

import inet.ipaddr.HostName;
import inet.ipaddr.IPAddress;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.net.InetSocketAddress;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

@SpringBootTest
class BaidouServiceApplicationTests {

	@Test
	void contextLoads() {
		String str = "[length=108]@127.0.0.1:51141|192.168.1.80@$";
		Pattern compile = Pattern.compile("^\\[length=(\\d{1,4})]@(\\d{1,3}.\\d{1,3}.\\d{1,3}.\\d{1,3}):(\\d{1,5})\\|(\\d{1,3}.\\d{1,3}.\\d{1,3}.\\d{1,3})@\\$.*$");
		Matcher matcher = compile.matcher(str);
		List<String> targetList = new ArrayList<>();
		while (matcher.find()) {
			String substring = str.substring(matcher.start(), matcher.end());
			targetList.add(substring);
			for(int i = 0; i <= matcher.groupCount(); i++){
				System.out.println(matcher.group(i));
			}
		}
	}

	@Test
	void ipAddressTest() {
		String host = "127.0.0.1:23355";
		HostName host2 = new HostName(host);
		IPAddress adr = host2.asAddress();
		System.out.println(adr.toIPAddress());
	}

}
