package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum AlarmModeName implements EnumerationBase {

    ALARM_MODE_TIMING(0, "ALARM_MODE_TIMING"),
    ALARM_MODE_MANUALLY(1, "ALARM_MODE_MANUALLY"),

    ;
    private final Integer code;
    private final String  desc;

    AlarmModeName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
