package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum AlarmTypeName implements EnumerationBase {

    ALARM_TYPE_AIRATTACK(0, "ALARM_TYPE_AIRATTACK"),
    ALARM_TYPE_DISASTER(1, "ALARM_TYPE_DISASTER"),
    ALARM_TYPE_PREPARE(2, "ALARM_TYPE_PREPARE"),

    ;
    private final Integer code;
    private final String  desc;

    AlarmTypeName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
