package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum BeidouAdapterTypeName implements EnumerationBase {
    ADAPTER_SOCKET_TCP(0, "ADAPTER_SOCKET_TCP"),

    ADAPTER_SOCKET_UDP(1, "DEVICE_SOCKET_UDP"),
    ;

    private final Integer code;
    private final String  desc;

    BeidouAdapterTypeName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
