package com.zjyr.beidouservice.common.impl;

import com.zjyr.beidouservice.common.EnumerationBase;

public enum SocketEventName implements EnumerationBase {
    SOCKET_EVT_CONNECT(0, "SOCKET_EVT_CONNECT"),

    SOCKET_EVT_DISCONNECT(1, "SOCKET_EVT_DISCONNECT"),

    SOCKET_EVT_RECV(2, "SOCKET_EVT_DISCONNECT"),

    SOCKET_EVT_IDLE_TIMEOUT(3, "SOCKET_EVT_IDLE_TIMEOUT"),
    ;

    private final Integer code;
    private final String  desc;

    SocketEventName(int val, String desc) {
        this.code = val;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getDescription() {
        return this.desc;
    }
}
