package com.zjyr.beidouservice.pojo;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;

public enum Resp {
    //成功返回码
    SUCCESS(200, "SUCCESS");


    private final int code;

    @Getter
    private final String msg;

    Resp(int code, String msg) {
        this.code = code;
        this.msg  = msg;
    }

    public int getCede() {
        return code;
    }

    @Override
    public String toString() {
        JSONObject json = new JSONObject();
        json.put("code", code);
        json.put("msg", msg);
        return json.toString();
    }
}

