package com.zjyr.beidouservice.service;

import com.zjyr.beidouservice.common.impl.AlarmControlTypeName;
import com.zjyr.beidouservice.common.impl.AlarmModeName;
import com.zjyr.beidouservice.common.impl.AlarmTypeName;
import com.zjyr.beidouservice.pojo.vo.binary.HeartProtocol;
import com.zjyr.beidouservice.pojo.vo.binary.SensorControlProtocol;

import java.util.Date;
import java.util.List;

public interface AdapterProtocolService {
    HeartProtocol createHeartProtocol();

    SensorControlProtocol createSensorControlProtocol(int taskId,
                                                      AlarmModeName alarmMode,
                                                      AlarmControlTypeName controlType,
                                                      AlarmTypeName alarmType,
                                                      int tunnelName,
                                                      Date alarmDt,
                                                      List<Integer> citys,
                                                      List<Integer> areas,
                                                      List<Integer> sensors);

    <T> Object createTransmissionProtocol(T proContent);
}
