package com.zjyr.beidouservice.mapper;

import com.zjyr.beidouservice.pojo.entry.ControlDeviceType;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.DirtiesContext;
import org.springframework.test.annotation.Rollback;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@Slf4j
@DirtiesContext(classMode = DirtiesContext.ClassMode.AFTER_CLASS)
@Transactional
@Rollback
public class ControlDeviceTypeMapperTest {
    @Resource
    private ControlDeviceTypeMapper mapper;

    @Test
    public void a1_getTaskInfo() {
        List<ControlDeviceType> typeList = mapper.selectAll();
        Assertions.assertNotEquals(typeList.size(), 0);
    }
}
